library("geneplotter")
require("RColorBrewer")

setwd("directory/file")

pdf(file = "output_filename", width = 10, height = 7.5)

par(mfrow=c(3,4))

##Mosaik_BR1
table1 <- read.table("<input_file - 2 columns with header "SFB" and "BS">", header=TRUE)
attach(table1)
table1.sort <- table1[order(SFB) , ]
write.table(table1.sort, file= "sorted_input_file_name",sep = "\t", col.names=c("SFB", "BS"))
table1 <- read.table("directory/sorted_input_file_name", header=TRUE)
attach(table1)
table1[table1==0] <- NA
colors1 <- densCols(table1, nbin=c(500000, 100), colramp=colorRampPalette(brewer.pal(9, "Blues")[-(1:2)]))
indThere = apply(table1, 1, function(x) sum(is.na(x)) == 0)
smallSFB = (SFB < 1)
plot(table1, log = "x", pch = 20, xlab = "Sequence Depth - SFB", ylab = "Assembly Quality - BS", 
main = "plot_title", cex.lab = 1.1, cex.main = 2, cex.axis = 1.1, col = colors1,
xlim = c(0.001, 1000), ylim = c(0, 2), bty = "l", panel.first = abline(v = c(0.001, 0.01, 0.1, 1, 10, 100, 1000), h = c(0, 0.5, 1, 1.5, 2), lty = 3, col = "grey"), abline(h = 1.5, col = "black"),
abline(v = 2e-04, col = "black"), axes=FALSE, 
axis(1, at = c(0.001, 0.01, 0.1, 1, 10, 100, 1000), lab = c("0.001", "0.01", "0.1", "1", "10", "100", "1000"), 
cex.axis=1.1, las=2), axis (2, at = c(0, 0.5, 1, 1.5, 2), lab=c("0", "0.5", "1.0", "1.5", "2.0"), cex.axis=1.1,las=1))
lines(SFB[indThere & smallSFB], predict(loess(BS[indThere] ~ SFB[indThere],
family = "symmetric", span = 0.33), newdata = SFB[indThere & smallSFB]),
col = "white", lwd=2)
rect(xleft=0.001, ybottom=1.52, xright=0.02, ytop=1.7, col="white", border="white")
text(0.00285, 1.6, "display desired text", cex=1.1)
dev.off()